import request from '@/utils/request'

/**
 * 数据总览查询
 * query: enforce_org_id/job_type/start_date/end_date
 */
export function getInfoTotal(params) {
    return request.get('/v2/api/index/statistics/info_total', { params })
}

/**
 * 查询任务总数，完成数，待完成数量
 * query: enforce_org_id/job_type/start_date/end_date
 */
 export function getJobTotal(params) {
    return request.get('/v2/api/index/statistics/job_total', { params })
}

/**
 * 根据场所类型进行查询任务分布
 * query: enforce_org_id/job_type/start_date/end_date
 */
 export function getJobByPlace(params) {
    return request.get('/v2/api/index/statistics/job_by_place_type', { params })
}

/**
 * 根据单位一级标签进行查询任务分布
 * query: enforce_org_id/job_type/start_date/end_date
 */
 export function getJobByTag(params) {
    return request.get('/v2/api/index/statistics/job_by_tag', { params })
}

/**
 * 任务时间分布
 * query: enforce_org_id/job_type/start_date/end_date
 */
 export function getJobByTime(params) {
    return request.get('/v2/api/index/statistics/job_by_time', { params })
}

/**
 * 检查模板点赞，点踩总数统计
 * query: start_date/end_date
 */
 export function getEvaluationTotal(params) {
    return request.get('/v2/api/index/statistics/template_evaluation_total', { params })
}

/**
 * 检查模板点赞，点踩TOP统计
 * query: start_date/end_date/stat_type(like,dis_like)
 */
 export function getEvaluationInfo(params) {
    return request.get('/v2/api/index/statistics/template_evaluation', { params })
}

/**
 * 立改，限改数量统计（默认当前机构）
 * query: start_date/end_date/enforce_org_id
 */
 export function getCorrect(params) {
    return request.get('/v2/api/index/statistics/correct', { params })
}

/**
 * 任务完成率（默认当前机构）
 * query: start_date/end_date
 */
 export function getJobStatus(params) {
    return request.get('/v2/api/index/statistics/job_status', { params })
}

/**
 * 任务完成率
 * query: start_date/end_date/area行政区
 */
 export function getJobTotalInfo(params) {
    return request.get('/v2/api/index/statistics/job_total_info', { params })
}